Skip to content

Get Started

For more information about our API endpoints and authentication, please refer to our Authentication / REST API Endpoints Guide.

Get Payout Details

This endpoint allows you to retrieve the current status and details of a specific payout.

Request GET

http
/api/payout/{payout_id}

Headers

http
Authorization: Bearer access_token

Path Parameters

ParameterTypeRequiredDescription
payout_idstringYesThe unique identifier of the payout

Response

Successful Response 200 OK

Code: 200
json
{
  "status": 1,
  "message": "success",
  "data": {
    "payout_id": "9e4e02bb-8ae6-4415-bffd-1de4d103ea2d",
    "payment_flow": "payout",
    "amount": 14800,
    "currency": "EUR",
    "label": "Withdrawal of Win 0001",
    "status_description": "The transaction is still being processed.",
    "status": "pending",
    "merchant_id": "98be655d-31bc-4cc0-916e-d649a48c6d60",
    "merchant_transaction_id": "dfdb941c-7235-4f32-866a-265fb429e6e1",
    "environment": "SANDBOX"
  }
}

Could happen if the payout ID is not found.

404 Not Found

Code: 404
json
{
    "message": "No query results for model [App\\Models\\WithdrawModel] 9e4e02bb-8ae6-4415-bffd-1de4d103ea2d"
}

sample code

1curl --location 'https://api-gateway-sandbox.huch.tech/api/payout/9e4e02bb-8ae6-4415-bffd-1de4d103ea2d' \
2--header 'Authorization: Bearer '

Errors

Error codeMeaning
400Invalid request
403Action not allowed
404Not found

See the Errors & Error Codes page for the shared error format, the X-Request-ID correlation header, and retry guidance.